///////////////////////////////////////////////////////////
// SUBMENU.CPP: The basic submenu application.
///////////////////////////////////////////////////////////

#include <owl\applicat.h>
#include <owl\framewin.h>
#include <stdio.h>
#include <string.h>
#pragma hdrstop
#include "submenu.rc"

//////////////////////////////////
// The main window class.
//////////////////////////////////
class TWndw : public TFrameWindow
{
public:
	TWndw(TWindow *parent, const char far *title);
	~TWndw();

protected:
	void SetupWindow();
	void CleanupWindow();
	void CmFileItem();
	void DoNothing() {};
	void CmPopupItem();
private:
DECLARE_RESPONSE_TABLE(TWndw);
};

DEFINE_RESPONSE_TABLE1(TWndw, TWindow)
	// Place response table entries here.
	EV_COMMAND(CM_FILEITEM, CmFileItem),
	EV_COMMAND(CM_POPUPITEM - 1, DoNothing),
	EV_COMMAND(CM_POPUPITEM, CmPopupItem),
END_RESPONSE_TABLE;


///////////////////////////////////////////////////////////
// TWndw::TWndw()
///////////////////////////////////////////////////////////
TWndw::TWndw(TWindow *parent, const char far *title)
	:	TFrameWindow(parent, title)
{
	AssignMenu(MENU_1);
	// Perform object initialization here.

	Attr.X = 50;
	Attr.Y = 50;
	Attr.W = GetSystemMetrics(SM_CXSCREEN) / 1.5;
	Attr.H = GetSystemMetrics(SM_CYSCREEN) / 1.5;
}

///////////////////////////////////////////////////////////
// TWndw::~TWndw()
///////////////////////////////////////////////////////////
TWndw::~TWndw()
{
	 // Perform object cleanup here.
}

///////////////////////////////////////////////////////////
// TWndw::SetupWindow()
///////////////////////////////////////////////////////////
void TWndw::SetupWindow()
{
	// Call base class's SetupWindow.
	TFrameWindow::SetupWindow();

	// Perform initialization that requires a
	// valid window handle here.
}

///////////////////////////////////////////////////////////
// TWndw::CleanupWindow()
///////////////////////////////////////////////////////////
void TWndw::CleanupWindow()
{
	// Perform cleanup that requires a valid
	// window handle here.
}

void TWndw::CmFileItem()
{
	MessageBox("CM_FILEITEM received", "Message");
}


void TWndw::CmPopupItem()
{
	MessageBox("CM_POPUPITEM received", "Message");
}

//////////////////////////////////
// The application class.
//////////////////////////////////
class TApp : public TApplication
{
public:
	TApp(): TApplication() {}
	void InitMainWindow();
};

///////////////////////////////////////////////////////////
// TApp::InitMainWindow()
///////////////////////////////////////////////////////////
void TApp::InitMainWindow()
{
	TFrameWindow *wndw = new TWndw(0, "Basic Submenu App");
	SetMainWindow(wndw);
}

///////////////////////////////////////////////////////////
// OwlMain()
///////////////////////////////////////////////////////////
int OwlMain(int, char*[])
{
	return TApp().Run();
}

